> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maildiver.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get audience

> **Endpoint:** `v1/audiences/{id}`

Retrieve details of a specific audience.




## OpenAPI

````yaml api-reference/openapi.yml get /audiences/{id}
openapi: 3.1.0
info:
  title: Send Email API
  description: >
    Send transactional emails through MailDiver.


    ### Base URL

    All API endpoints are prefixed with `api.` subdomain:

    ```

    https://api.maildiver.com

    ```


    For the self-hosted version, if your domain is `example.com`:

    ```

    https://api.example.com

    ```


    ### Endpoint

    ```

    v1/emails

    ```


    ### Authentication

    All API requests require authentication using your API key in the
    Authorization header:

    ```

    Authorization: Bearer your-api-key

    ```
  version: 1.0.0
  license:
    name: MIT
servers:
  - url: https://api.maildiver.com/v1
    description: Production server
    variables:
      domain:
        default: yourdomain.com
        description: Your domain (without the api. prefix)
security:
  - bearerAuth: []
paths:
  /audiences/{id}:
    get:
      tags:
        - Audience
      summary: Get audience
      description: |
        **Endpoint:** `v1/audiences/{id}`

        Retrieve details of a specific audience.
      operationId: getAudience
      parameters:
        - name: id
          in: path
          required: true
          description: Unique identifier of the audience
          schema:
            type: string
          example: 01959b50-eda7-7597-acb1-cfeffdd53400
      responses:
        '200':
          description: OK
          content:
            application/json:
              examples:
                success:
                  summary: Success response
                  value:
                    id: 01959b50-eda7-7597-acb1-cfeffdd53400
                    name: Weekly newsletter subscribers
                    created_by:
                      email: admin@company.com
                      first_name: null
                      last_name: null
                      profile_picture: https://cdn.company.com/profiles/admin-avatar.jpg
                    created: 1742067527079
                    updated: 1742096304692
                    contact_count: 10002
                    unsubscribers: 0
        '403':
          description: Forbidden (API key is missing or invalid)
          content:
            application/json:
              examples:
                invalidKey:
                  summary: Invalid API key error
                  value:
                    message: Invalid API key
                    code: invalid_api_key
                invalidHeader:
                  summary: Invalid authorization header error
                  value:
                    message: Invalid authorization header
                    code: invalid_authorization_header
        '404':
          description: Audience not found
          content:
            application/json:
              examples:
                notFound:
                  summary: Audience not found error
                  value:
                    message: Audience not found
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key with format "Bearer {your-api-key}"

````